Skip to content
Permalink
Browse files

[debops] Add 'pyOpenSSL' package dependency

  • Loading branch information...
drybjed committed Aug 10, 2019
1 parent e616234 commit ab2ab9c519174f0140edbc863b052ea590068d3a
Showing with 11 additions and 1 deletion.
  1. +8 −0 CHANGELOG.rst
  2. +1 −0 Dockerfile
  3. +1 −0 PKGBUILD
  4. +1 −1 setup.py
@@ -52,6 +52,14 @@ Continuous Integration

.. __: https://www.flamingspork.com/projects/libeatmydata/
General
'''''''

- The ``pyopenssl`` Python package has been added as a dependency of DebOps
when the project is installed with Ansible included. This package is required
by the ``openssl_*`` modules in Ansible 2.7; some of the DebOps roles like
:ref:`debops.opendkim` use these modules on the Ansible Controller.

LDAP
''''

@@ -28,6 +28,7 @@ RUN apt-get -q update \
python3-dnspython \
python3-future \
python3-ldap \
python3-openssl \
python3-pip \
python3-wheel \
python3-setuptools \
@@ -28,6 +28,7 @@ depends=('python' 'python-future' 'util-linux' 'encfs' 'gnupg')
optdepends=(
'ansible: required to run playbooks and roles'
'python-dnspython: required by Ansible "dig" module'
'python-pyopenssl: required by "openssl_*" Ansible modules'
'python-netaddr: required by Ansible "ipaddr" filter plugin'
'python-ldap: required by Ansible "ldap_*" modules'
'python-passlib: required by Ansible "password" lookup plugin')
@@ -62,7 +62,7 @@ def __new__(cls, s):
install_requires=['argparse', 'future'],
extras_require={
'ansible': ['ansible', 'netaddr', 'passlib',
'python-ldap', 'dnspython']
'python-ldap', 'dnspython', 'pyopenssl']
},

scripts=SCRIPTS,

0 comments on commit ab2ab9c

Please sign in to comment.
You can’t perform that action at this time.